<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!--	Hibernate Mapping for Timeframe
		Authors:	Rebecca Beale
					Peter Deschere
					Jason Fillo
-->

<hibernate-mapping>
	<class name="com.gmscheduler.model.Timeframe" table="Timeframe">
		<id name="id" column="timeframeid">
			<generator class="native"/>
		</id>
		<property name="day" column="day"/>
		<property name="start" column="starttime"/>
		<property name="end" column="endtime"/>
		<property name="scheduleid" column="scheduleid"/>
	</class>
</hibernate-mapping>